import request from "@/utils/request.js";
// 在线买单 - 获取门店列表
export function searchMer(data) {
	return request.get("onlinePayment/searchMerList",data);
}
// 在线买单 - 发起支付
export function onlinePayment(data) {
	return request.get("onlinePayment/createOrder",data);
}
// 提货处理 - 提货记录
export function onlinePaymentRecord(data) {
	return request.get("onlinePayment/record",data);
}
// 提货处理 - 获取用户信息
export function pointUserInfo(data) {
	return request.get("exchange/userHold",data);
}
// 提货处理 - 获取提货点信息
export function pointList(data) {
	return request.get("exchange/pointList", data, {noAuth: true});
}
// 提货处理 - 提货处理
export function confirmExchange(data) {
	return request.get("exchange/exchangeHandle",data);
}
// 提货处理 - 提货记录
export function exchangeRecord(data) {
	return request.get("exchange/exchangeRecord",data);
}
// 提货处理 - 获取消费者用户
export function consumeList(data) {
	return request.get("exchange/consumeList",data);
}
// 站点管理 - 我的站点&兑换记录
export function siteManage(apiName ,data) {
	// list=我的站点；exchange_record=兑换记录
	return request.get(`exchange/site_${apiName}`,data);
}
// 站点管理 - 站点二维码
export function getSiteQrCode(data) {
	return request.get(`exchange/site_qr_code`,data);
}
// 用户兑换 - 获取二维码
export function getUserExchangeQrcode() {
	return request.get(`exchange/user_qr_code`);
}
// 额度变更记录 - 统计
export function recordQuota(data) {
	return request.get(`exchange/record_quota`,data);
}
// 额度变更记录 - 列表
export function recordQuotaList(data) {
	return request.get(`exchange/record_quota_list`,data);
}
// 积分变更记录 - 列表
export function recordIntegralList(data) {
	return request.get(`exchange/record_integral_list`,data);
}
// 额度转赠 - 提交
export function quotaTransfer(data) {
	return request.get(`exchange/quota_transfer`,data);
}
// 获取门店绑定的酒道馆信息
export function merBindShop(merId) {
	return request.get(`exchange/mer_bind_shop/${merId}`);
}
